Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 1371687

Summary: SELinux is preventing udisksd from 'ioctl' accesses on the blk_file /dev/sr0.
Product: [Fedora] Fedora Reporter: José Matos <jamatos>
Component: selinux-policyAssignee: Miroslav Grepl <mgrepl>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 25CC: dominick.grift, dwalsh, lvrabec, mbriza, mgrepl, peter, plautrba, pmatyas
Target Milestone: ---Keywords: Reopened
Target Release: ---   
Hardware: x86_64   
OS: Unspecified   
Whiteboard: abrt_hash:27aed18d9875240ca2e5a4ee409a57a1eaba16acec7419a05f7caddbbea26569;
Fixed In Version: selinux-policy-3.13.1-214.fc25 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2016-09-21 00:36:08 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:

Description José Matos 2016-08-30 19:56:44 UTC
Description of problem:
Boot into f25 after upgrade from f24
SELinux is preventing udisksd from 'ioctl' accesses on the blk_file /dev/sr0.

*****  Plugin catchall (100. confidence) suggests   **************************

If you believe that udisksd should be allowed ioctl access on the sr0 blk_file by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# ausearch -c 'udisksd' --raw | audit2allow -M my-udisksd
# semodule -X 300 -i my-udisksd.pp

Additional Information:
Source Context                system_u:system_r:udisks2_t:s0
Target Context                system_u:object_r:removable_device_t:s0
Target Objects                /dev/sr0 [ blk_file ]
Source                        udisksd
Source Path                   udisksd
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           
Policy RPM                    selinux-policy-3.13.1-211.fc25.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 4.8.0-0.rc2.git3.1.fc25.x86_64 #1
                              SMP Fri Aug 19 14:24:04 UTC 2016 x86_64 x86_64
Alert Count                   68
First Seen                    2016-08-30 20:17:56 WEST
Last Seen                     2016-08-30 20:31:12 WEST
Local ID                      14bf9032-dd46-4658-b26b-9d24db2d6452

Raw Audit Messages
type=AVC msg=audit(1472585472.197:352): avc:  denied  { ioctl } for  pid=2409 comm="udisksd" path="/dev/sr0" dev="devtmpfs" ino=1210 ioctlcmd=2285 scontext=system_u:system_r:udisks2_t:s0 tcontext=system_u:object_r:removable_device_t:s0 tclass=blk_file permissive=0


Hash: udisksd,udisks2_t,removable_device_t,blk_file,ioctl

Version-Release number of selected component:
selinux-policy-3.13.1-211.fc25.noarch

Additional info:
reporter:       libreport-2.7.2
hashmarkername: setroubleshoot
kernel:         4.8.0-0.rc2.git3.1.fc25.x86_64
type:           libreport

Comment 1 Lukas Vrabec 2016-09-02 15:43:44 UTC
udisks2_t domain is part of devicekit_t policy.

Comment 2 Martin Bříza 2016-09-14 15:33:11 UTC
Why wontfix? What should we do when we trigger this? What does your comment mean?

Comment 4 Fedora Update System 2016-09-15 17:22:12 UTC
selinux-policy-3.13.1-214.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-5f88bebc7c

Comment 5 Fedora Update System 2016-09-16 01:23:10 UTC
selinux-policy-3.13.1-214.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-5f88bebc7c

Comment 6 Fedora Update System 2016-09-21 00:36:08 UTC
selinux-policy-3.13.1-214.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.